import javax.swing.JComponent;
import java.awt.*;
/**
 * A simple graphics component, displaying a rectangle.
 * Changes from version 5: added the rectangle.
 * 
 * @author Stephen Bloch (partly copied from Horstmann's book)
 * @version 6, Sept 13 2006
 */
public class MyComponent extends JComponent
{
    /**
     * Constructor for objects of class MyComponent
     */
    public MyComponent()
    {
        // do nothing, for now.
    }

    /**
     * Display a rectangle.
     * 
     * @param  g    a Graphics context into which we are to draw
     */
    public void paintComponent (Graphics g) {
        Graphics2D g2 = (Graphics2D)g;
        
        Rectangle box1 = new Rectangle (5, 10, 20, 30);
        g2.draw(box1);
    }
}
